[dpdk-dev] [PATCH] devtools: check coverity and bugzilla tags

David Marchand david.marchand at redhat.com
Tue Oct 8 17:52:29 CEST 2019


Let's try to check for discrepancies in covery and bugzilla tags.
The contributing guide specifies that:
- for coverity issues, the tag is 'Coverity issue:'
- for bugzilla issues, the tag is 'Bugzilla ID:'

Signed-off-by: David Marchand <david.marchand at redhat.com>
---
 devtools/check-git-log.sh | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/devtools/check-git-log.sh b/devtools/check-git-log.sh
index a763ccf..2766957 100755
--- a/devtools/check-git-log.sh
+++ b/devtools/check-git-log.sh
@@ -161,6 +161,24 @@ bad=$(echo "$tags" |
 	sed 's,^.,\t&,')
 [ -z "$bad" ] || printf "Wrong tag:\n$bad\n"
 
+# check missing Coverity issue: tag
+bad=$(for commit in $commits; do
+	body=$(git log --format='%b' -1 $commit)
+	echo "$body" |grep -qi coverity || continue
+	echo "$body" |grep -q '^Coverity issue:' && continue
+	git log --format='\t%s' -1 $commit
+done)
+[ -z "$bad" ] || printf "Missing 'Coverity issue:' tag:\n$bad\n"
+
+# check missing Bugzilla ID: tag
+bad=$(for commit in $commits; do
+	body=$(git log --format='%b' -1 $commit)
+	echo "$body" |grep -qi bugzilla || continue
+	echo "$body" |grep -q '^Bugzilla ID:' && continue
+	git log --format='\t%s' -1 $commit
+done)
+[ -z "$bad" ] || printf "Missing 'Bugzilla ID:' tag:\n$bad\n"
+
 # check missing Fixes: tag
 bad=$(for fix in $fixes ; do
 	git log --format='%b' -1 $fix | grep -q '^Fixes: ' ||
-- 
1.8.3.1



More information about the dev mailing list